# Report an Issue :loudspeaker:

Do you want to report a `bug` or submit a `feature request`? You can do that on the [MindsDB GitHub issues page](https://github.com/mindsdb/mindsdb/issues).

Before reporting a new issue, whether it is a bug report or a feature request, please make sure that it is not already there.

## Bug Report :bug:

Here is how to get started when you want to report a bug.

First, go to [our GitHub issues page](https://github.com/mindsdb/mindsdb/issues) and click on the *New issue* button.

<p align="center">
  <img src="/assets/report_issues/1_reporting_new_issue.png" />
</p>

Now you have to choose what kind of issue you want to report. Here, we choose `Bug report` and click on the *Get started* button.

<p align="center">
  <img src="/assets/report_issues/2_bug_report.png" />
</p>

Now, it's time to fill up the form.

1. In the first textbox, add a meaningful title for your issue. Also, don't forget to check whether a similar issue already exists. If not, mark the checkbox. Please note that these fields are mandatory.

    <p align="center">
    <img src="/assets/report_issues/2_bug_report_form_1.png" />
    </p>

2. Here, you describe the current behavior. Please note that this field is mandatory.

    <p align="center">
    <img src="/assets/report_issues/2_bug_report_form_2.png" />
    </p>

3. If you know what the expected behavior should be, you can add it here.

    <p align="center">
    <img src="/assets/report_issues/2_bug_report_form_3.png" />
    </p>

4. It is helpful for us if you add the steps you followed that led you to the error.

    <p align="center">
    <img src="/assets/report_issues/2_bug_report_form_4.png" />
    </p>

5. Any links, references, logs, screenshots, etc., are welcome!

    <p align="center">
    <img src="/assets/report_issues/2_bug_report_form_5.png" />
    </p>

!!! info "Remember"
    All contributions to our repository should follow the [contributing guidelines](https://github.com/mindsdb/mindsdb/blob/staging/CONTRIBUTING.md) and [code of conduct](https://github.com/mindsdb/mindsdb/blob/staging/CODE_OF_CONDUCT.md).

Thank you for reporting a bug! It helps us improve MindsDB for you and future users.

## Feature Request :rocket:

Here is how to get started when you want to submit a feature request.

First, go to [our GitHub issues page](https://github.com/mindsdb/mindsdb/issues) and click on the *New issue* button.

<p align="center">
  <img src="/assets/report_issues/1_reporting_new_issue.png" />
</p>

Now you have to choose what kind of issue you want to report. Here, we choose `Feature request` and click on the *Get started* button.

<p align="center">
  <img src="/assets/report_issues/3_feature_request.png" />
</p>

Now, it's time to fill up the form.

1. In the first textbox, add a meaningful title for your issue. Also, don't forget to check whether a similar issue already exists. If not, mark the checkbox. Please note that these fields are mandatory.

    <p align="center">
    <img src="/assets/report_issues/3_feature_request_form_1.png" />
    </p>

2. Here, you describe the feature request and indicate whether it is related to some error/problem. Please note that this field is mandatory.

    <p align="center">
    <img src="/assets/report_issues/3_feature_request_form_2.png" />
    </p>

3. If you know how the solution should look, you can add it here.

    <p align="center">
    <img src="/assets/report_issues/3_feature_request_form_3.png" />
    </p>

4. If you have an alternate solution, you can add it here.

    <p align="center">
    <img src="/assets/report_issues/3_feature_request_form_4.png" />
    </p>

5. Any links, references, logs, screenshots, etc., are welcome!

    <p align="center">
    <img src="/assets/report_issues/3_feature_request_form_5.png" />
    </p>

!!! info "Remember"
    All contributions to our repository should follow the [contributing guidelines](https://github.com/mindsdb/mindsdb/blob/staging/CONTRIBUTING.md) and [code of conduct](https://github.com/mindsdb/mindsdb/blob/staging/CODE_OF_CONDUCT.md).

Thank you for submitting a feature request! It helps us improve MindsDB for you and future users.

## Issue Review

* Issues are reviewed regularly, usually daily.
* Depending on the issue type, it will be labeled as `Bug` or `enhancement`.
* Please make sure you respond to our feedback/questions regarding your issue.
